Bug 124570 - Evolution's printing configuration is broken
Evolution's printing configuration is broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
: 141129 (view as bug list)
Depends On: 149341
Blocks: FC4Update
  Show dependency treegraph
 
Reported: 2004-05-27 12:11 EDT by Dave Maley
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-31 09:54:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Maley 2004-05-27 12:11:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
evolution in FC2 is defaulting to print in duplex.  I can manually
change this setting, but the change is not saved and it reverts to
using duplex.  I wasn't able to find anyplace to change this default
setting.

Version-Release number of selected component (if applicable):
evolution-1.4.6-2

How reproducible:
Always

Steps to Reproduce:
1. print an email from evolution
2. 
3.
    

Actual Results:  if the printer supports duplex printing it will print
on both sides of the paper

Expected Results:  evolution should default to standard single-side
printing

Additional info:
Comment 1 Dave Maley 2004-09-21 00:54:28 EDT
turns out this must be a gnome print dialog setting and not evolution
specific.  I just attempted to print from nautilus and found the same
interface and same default setting of duplex.  sorry for the confusion
... guess I never print from anything other than evolution :)

not sure what to re-classify this under.  it's not gnome-print, and I
don't see a generic gnome option.
Comment 2 Dave Malcolm 2004-09-22 14:56:05 EDT
Looking at Evolution's email-printing code, it gets the printer
settings by calling gnome_print_dialog_get_config on a
GnomePrintDialog; reassigning this bug to libgnomeprintui22
Comment 3 Owen Taylor 2004-09-27 12:13:15 EDT
Can you provide some information about your printer?
Comment 4 Owen Taylor 2004-09-27 15:27:54 EDT
Throwing this back to evolution, turns out its the apps responsibility
to save printer information, see 

 gedit/gedit/gedit-print.c:save_gedit_print_config_to_file()

Looks upstream as:

 http://bugzilla.ximian.com/show_bug.cgi?id=46404

May want to resolve this as UPSTREAM, though it would be a large
bang-for-the-buck for us (or a Fedora contributor, even :-) to do.

Actual fix I think is in gtkhtml not evolution for printing mails,
in evolution for printing calendars.
Comment 5 Owen Taylor 2004-09-30 16:06:51 EDT
Forgot to reassign.
Comment 6 Dave Maley 2004-10-21 12:30:48 EDT
I'm seeing this same problem running the RHEL4 beta
Comment 7 Dave Malcolm 2004-11-29 16:30:10 EST
See also bug #141129 - more problems with printer configuration.

Comment 8 Dave Malcolm 2004-11-29 16:49:28 EST
*** Bug 141129 has been marked as a duplicate of this bug. ***
Comment 9 Owen Taylor 2004-11-29 16:51:34 EST
There's a fix for this in libgnomeprint CVS.
Comment 10 Dave Malcolm 2004-11-29 16:53:42 EST
I'm renaming this bug - as discussed in bug #141129, the print
configuration within Evolution seems to be broken.  I've added this to
one of my tracker bugs.
Comment 11 Matthew Miller 2005-04-26 12:29:05 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 12 Nicolas Mailhot 2005-05-23 16:23:02 EDT
Unfortunately, I no longer have access to a duplex printer from a linux system
so I can not check if this is still valid.
Comment 14 Matthew Barnes 2006-07-31 09:54:06 EDT
Checked this against several duplex printers in the Westford office using
evolution-2.7.4-3 and could not reproduce.  From the print dialog, I click the
"Configure" button and see that the "Duplex" option is unchecked.  So I'm
resolving this bug as RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.